Bug 751716 - Typo in %preun script
Typo in %preun script
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-07 05:04 EST by Terje Røsten
Modified: 2011-12-14 18:38 EST (History)
4 users (show)

See Also:
Fixed In Version: mdadm-3.2.2-15.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-14 18:38:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2011-11-07 05:04:50 EST
Description of problem:

From mdadm.spec:

 
%preun
if [ $1 = 0 ]; then
     /bin/systemctl --no-reload mdmonitor.service > /dev/null 2>&1 || :
     /bin/systemctl stop mdmonitor.service > /dev/null 2>&1 || :
fi

The --no-reload line is missing a disable command, see:

https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

for more help.
Comment 1 Fedora Update System 2011-11-10 05:00:32 EST
mdadm-3.2.2-14.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.2-14.fc16
Comment 2 Fedora Update System 2011-11-10 20:24:06 EST
Package mdadm-3.2.2-14.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.2-14.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15731
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-11-23 05:47:33 EST
mdadm-3.2.2-15.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.2-15.fc16
Comment 4 Fedora Update System 2011-12-14 18:38:12 EST
mdadm-3.2.2-15.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.